GEOS: geos::geom::prep::PreparedPolygonCovers Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions

# geos::geom::prep::PreparedPolygonCovers Class Reference

Computes the `covers` spatial relationship predicate for a PreparedPolygon relative to all other Geometry classes. More...

`#include <PreparedPolygonCovers.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonCovers:

List of all members.

## Public Member Functions
| PreparedPolygonCovers (const PreparedPolygon *const prep)
bool | covers (const Geometry *geom)
## Static Public Member Functions
static bool | covers (const PreparedPolygon *const prep, const geom::Geometry *geom)
## Protected Member Functions
bool | fullTopologicalPredicate (const geom::Geometry *geom)

## Detailed Description

Computes the `covers` spatial relationship predicate for a PreparedPolygon relative to all other Geometry classes.

Uses short-circuit tests and indexing to improve performance.

It is not possible to short-circuit in all cases, in particular in the case where the test geometry touches the polygon linework. In this case full topology must be computed.

Author:
  Martin Davis

## Constructor & Destructor Documentation

geos::geom::prep::PreparedPolygonCovers::PreparedPolygonCovers | ( | const PreparedPolygon *const | prep ) | `[inline]`

Creates an instance of this operation.

Parameters:

  prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

static bool geos::geom::prep::PreparedPolygonCovers::covers | ( | const PreparedPolygon *const | prep,
|  | const geom::Geometry * | geom
| ) |  | `[inline, static]`

Computes the covers predicate between a PreparedPolygon and a Geometry.

Parameters:

  prep | the prepared polygon
  geom | a test geometry

Returns:
  true if the polygon covers the geometry

References covers().

Referenced by covers().

bool geos::geom::prep::PreparedPolygonCovers::covers | ( | const Geometry * | geom ) | `[inline]`

Tests whether this PreparedPolygon `covers` a given geometry.

Parameters:

  geom | the test geometry

Returns:
  true if the test geometry is covered

References geos::geom::prep::AbstractPreparedPolygonContains::eval().

bool geos::geom::prep::PreparedPolygonCovers::fullTopologicalPredicate | ( | const geom::Geometry * | geom ) | `[protected, virtual]`

Computes the full topological `covers` predicate. Used when short-circuit tests are not conclusive.

Parameters:

  geom | the test geometry

Returns:
  true if this prepared polygon covers the test geometry

Implements geos::geom::prep::AbstractPreparedPolygonContains.

The documentation for this class was generated from the following file:

- PreparedPolygonCovers.h